gtkmm: Gtk::ToolShell Class Reference

gtkmm 3.24.7

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::ToolShell Class Reference

A base class for containers containing ToolItem widgets. More...

`#include <gtkmm/toolshell.h>`

Inheritance diagram for Gtk::ToolShell:
[legend]

## Public Member Functions
| ToolShell (ToolShell && src) noexcept
ToolShell & | operator= (ToolShell && src) noexcept
| ~ToolShell () noexcept override
GtkToolShell * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkToolShell * | gobj () const
| Provides access to the underlying C GObject. More...
IconSize | get_icon_size () const
| Retrieves the icon size for the tool shell. More...
Orientation | get_orientation () const
| Retrieves the current orientation for the tool shell. More...
ToolbarStyle | get_style () const
| Retrieves whether the tool shell has text, icons, or both. More...
ReliefStyle | get_relief_style () const
| Returns the relief style of buttons on shell. More...
void | rebuild_menu ()
| Calling this function signals the tool shell that the overflow menu item for tool items have changed. More...
Orientation | get_text_orientation () const
| Retrieves the current text orientation for the tool shell. More...
float | get_text_alignment () const
| Retrieves the current text alignment for the tool shell. More...
Pango::EllipsizeMode | get_ellipsize_mode () const
| Retrieves the current ellipsize mode for the tool shell. More...
Glib::RefPtr< SizeGroup > | get_text_size_group ()
| Retrieves the current text size group for the tool shell. More...
Glib::RefPtr< const SizeGroup > | get_text_size_group () const
| Retrieves the current text size group for the tool shell. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| ToolShell ()
| You should derive from this class to use it. More...
virtual IconSize | get_icon_size_vfunc ()
virtual Orientation | get_orientation_vfunc ()
virtual ToolbarStyle | get_style_vfunc ()
virtual ReliefStyle | get_relief_style_vfunc ()
virtual void | rebuild_menu_vfunc ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::ToolShell > | wrap (GtkToolShell * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

A base class for containers containing ToolItem widgets.

This interface allows container widgets to provide additional information when embedding ToolItem widgets.

Since gtkmm 2.14:

## Constructor & Destructor Documentation

## ◆ ToolShell() [1/2]

Gtk::ToolShell::ToolShell | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ ToolShell() [2/2]

Gtk::ToolShell::ToolShell | ( | ToolShell && | src | ) |
| noexcept

## ◆ ~ToolShell()

Gtk::ToolShell::~ToolShell | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gtk::ToolShell::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_ellipsize_mode()

Pango::EllipsizeMode Gtk::ToolShell::get_ellipsize_mode | ( |  | ) | const

Retrieves the current ellipsize mode for the tool shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_ellipsize_mode() instead.

Since gtkmm 2.20:

Returns
  The current ellipsize mode of shell.

## ◆ get_icon_size()

IconSize Gtk::ToolShell::get_icon_size | ( |  | ) | const

Retrieves the icon size for the tool shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_icon_size() instead.

Since gtkmm 2.14:

Returns
  The current size (Gtk::IconSize) for icons of shell.

## ◆ get_icon_size_vfunc()

virtual IconSize Gtk::ToolShell::get_icon_size_vfunc | ( |  | ) |
| protectedvirtual

## ◆ get_orientation()

Orientation Gtk::ToolShell::get_orientation | ( |  | ) | const

Retrieves the current orientation for the tool shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_orientation() instead.

Since gtkmm 2.14:

Returns
  The current orientation of shell.

## ◆ get_orientation_vfunc()

virtual Orientation Gtk::ToolShell::get_orientation_vfunc | ( |  | ) |
| protectedvirtual

## ◆ get_relief_style()

ReliefStyle Gtk::ToolShell::get_relief_style | ( |  | ) | const

Returns the relief style of buttons on shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_relief_style() instead.

Since gtkmm 2.14:

Returns
  The relief style of buttons on shell.

## ◆ get_relief_style_vfunc()

virtual ReliefStyle Gtk::ToolShell::get_relief_style_vfunc | ( |  | ) |
| protectedvirtual

## ◆ get_style()

ToolbarStyle Gtk::ToolShell::get_style | ( |  | ) | const

Retrieves whether the tool shell has text, icons, or both.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_toolbar_style() instead.

Since gtkmm 2.14:

Returns
  The current style of shell.

## ◆ get_style_vfunc()

virtual ToolbarStyle Gtk::ToolShell::get_style_vfunc | ( |  | ) |
| protectedvirtual

## ◆ get_text_alignment()

float Gtk::ToolShell::get_text_alignment | ( |  | ) | const

Retrieves the current text alignment for the tool shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_text_alignment() instead.

Since gtkmm 2.20:

Returns
  The current text alignment of shell.

## ◆ get_text_orientation()

Orientation Gtk::ToolShell::get_text_orientation | ( |  | ) | const

Retrieves the current text orientation for the tool shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_text_orientation() instead.

Since gtkmm 2.20:

Returns
  The current text orientation of shell.

## ◆ get_text_size_group() [1/2]

Glib::RefPtr< SizeGroup > Gtk::ToolShell::get_text_size_group | ( |  | ) |

Retrieves the current text size group for the tool shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_text_size_group() instead.

Since gtkmm 2.20:

Returns
  The current text size group of shell.

## ◆ get_text_size_group() [2/2]

Glib::RefPtr< const SizeGroup > Gtk::ToolShell::get_text_size_group | ( |  | ) | const

Retrieves the current text size group for the tool shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_text_size_group() instead.

Since gtkmm 2.20:

Returns
  The current text size group of shell.

## ◆ get_type()

static GType Gtk::ToolShell::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkToolShell * Gtk::ToolShell::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkToolShell * Gtk::ToolShell::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

ToolShell & Gtk::ToolShell::operator= | ( | ToolShell && | src | ) |
| noexcept

## ◆ rebuild_menu()

void Gtk::ToolShell::rebuild_menu | ( |  | ) |

Calling this function signals the tool shell that the overflow menu item for tool items have changed.

If there is an overflow menu and if it is visible when this function it called, the menu will be rebuilt.

Tool items must not call this function directly, but rely on Gtk::ToolItem::rebuild_menu() instead.

Since gtkmm 2.14:

## ◆ rebuild_menu_vfunc()

virtual void Gtk::ToolShell::rebuild_menu_vfunc | ( |  | ) |
| protectedvirtual

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::ToolShell > wrap | ( | GtkToolShell * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.